## User Guide

Install the dependencies and devDependencies and start the server.
  

```js
const { millisecondToDuration,daysBetween } = require("js-date-time-formatter");
```

  

# Functions:

##  millisecondToDuration()

> This function takes milliseconds as parameter and returns duration in HH:MM:SS

```js
const { millisecondToDuration} = require("js-date-time-formatter");

let duration=millisecondToDuration(84000) //  1:24
```

## secondToHour() 
> This function takes seconds as parameter and returns number of hours in HH
```js
const { secondToHour} = require("js-date-time-formatter");
let hours=secondToHour(7200) //  2
```



##  secondToDuration() 
> This function takes seconds as parameter and returns duration in HH:MM:SS
```js
const { secondToDuration} = require("js-date-time-formatter");
let hours=secondToDuration(7810) //  02:10:10
```


### daysBetween() 
> This function takes two timestamps  as parameter and returns  difference
```js
const { daysBetween} = require("js-date-time-formatter");
let day1='2023-01-24T03:17:18.532Z'
let day2='2023-01-27T03:17:18.532Z'
let days=daysBetween(day1,day2) // 3
```


#### numberFormateDate() 
> This function takes timestamp as parameter and returns day in YYYY-MM-DD format
```js
const { numberFormateDate} = require("js-date-time-formatter");
let day=new Date('2023-01-24')
let date=numberFormateDate(day) // 2023-01-24
```



#### formattedTimeStamp() 
> This function takes timestamp as parameter and returns Month Day, Year, HH:MM:SS  AM format
```js
const { formattedTimeStamp} = require("js-date-time-formatter");
let day=new Date('2023-01-24')
let formmatedTimeStamp=formattedTimeStamp(date) //Jan 24, 2023, 03:28:35 AM
```




#### formattedDate() 
> This function takes timestamp as parameter and returns  Month Day, Year format
```js
const { formattedDate} = require("js-date-time-formatter");
let day=new Date('2023-01-24')
let formattedDate=formattedDate(day) //  Jan 24, 2023
```


#### formattedTime() 
> This function takes timestamp as a parameter and returns HH:MM format
```js
const { formattedTime} = require("js-date-time-formatter");
let day=new Date('2023-01-24T03:17:18.532Z')
let time=formattedTime(day) //  03:17
```

 