
  //milliSecToDuration
  //ms to hh:mm::ss
  function millisecondToDuration(millisec) {
        var seconds = (millisec / 1000).toFixed(0);
        var minutes = Math.floor(seconds / 60);
        var hours = "";
        if (minutes > 59) {
            hours = Math.floor(minutes / 60);
            hours = (hours >= 10) ? hours : "0" + hours;
            minutes = minutes - (hours * 60);
            minutes = (minutes >= 10) ? minutes : "0" + minutes;
        }
        seconds = Math.floor(seconds % 60);
        seconds = (seconds >= 10) ? seconds : "0" + seconds;
        if (hours !== "") {
            return hours + ":" + minutes + ":" + seconds;
        }
        return minutes + ":" + seconds;
}


//secondToHour
//sec to HHH
 const  secondToHour = (seconds) => {
 let d = Number(seconds);
    var h = Math.floor(d / 3600);
    var m = Math.floor(d % 3600 / 60);
    var s = Math.floor(d % 3600 % 60);
    
    return h
}

//secondToDuration
//sec to hh:mm:ss
const secondToDuration=(seconds)=> {
       var date = new Date(null);
       date.setSeconds(seconds);
       return date.toISOString().substr(11, 8);
    }
    

//daysBetween
//takes 2 days and returns DD
function daysBetween(date1, date2) {
      date1=new Date(date1)
     date2=new Date(date2)
    // The number of milliseconds in one day
    const ONE_DAY = 1000 * 60 * 60 * 24;
    // Calculate the difference in milliseconds
    const differenceMs = Math.abs(date1 - date2);
    // Convert back to days and return
    return Math.round(differenceMs / ONE_DAY);
}


//numberFormateDate
//timestamp to yyyy-mm-dd
 const numberFormateDate = (event) => {
    let date = JSON.stringify(event)
    date = date.slice(1, 11)
    return date
 }
 

//formattedTimeStamp
//timestamp to Jan 23, 2023, 01:57:56 PM
 const formattedTimeStamp = (dateString) => {
  const options = { year: "numeric", month: "short", day: "numeric", hour: '2-digit', minute: '2-digit', second: '2-digit' }
  return new Date(dateString).toLocaleDateString(undefined, options)
}


//formattedDate
// time stamp to Jan 23, 2023
const formattedDate = (dateString) => {
  //customizable options
  const options = {weekday: "short", year: "numeric", month: "short", day: "numeric" }
  return new Date(dateString).toLocaleDateString(undefined, options)
}



//formattedDate
//timestamp to time 13:57
const formattedTime = (dateTime) => {
  let date = new Date(dateTime)
  return date.toTimeString().slice(0,5)
}






module.exports = {
  millisecondToDuration, secondToDuration, secondToHour, daysBetween,
  numberFormateDate, formattedTimeStamp, formattedDate,formattedTime}
